I have a mix of IIS 5.0 and IIS 4.0 servers. How can I keep up with which hotfixes are required for each version?

Microsoft has a new Web site called Security Bulletin Search for this purpose at http://www.microsoft.com/technet/security/current.asp. On this site, you can select the name of most Microsoft products (including IIS 5.0, IIS 4.0, and Microsoft Indexing Service) and view the hotfixes released for those products. The best part is that you can select the service pack installed on your server and see only those hotfixes for that service pack. You'll notice that quite a few hotfixes exist for IIS 5.0 with Service Pack 1 (SP1), but SP2 has only one hotfix (as of this writing).